<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>"
lang="<?php dcInfo('lang'); ?>">
<head>
<title>
<?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - ');
	dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?>
</title>
<meta http-equiv="Content-Type"
	content="text/html; charset=<?php dcInfo('encoding'); ?>" />
<meta name="DC.title" content="<?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - ');
	dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?>" />
<meta name="MSSmartTagsPreventParsing" content="TRUE" />
<?php dcHeadLinks(); ?>
<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom" href="<?php dcInfo('atom'); ?>" />
<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
<link rel="Shortcut Icon" href="<?php dcInfo('theme'); ?>/img/favicon.ico" />
<script type="text/javascript" src="<?php dcInfo('theme'); ?>/menu.js"></script>
</head>
<body onload="setHover()">
<div id="page">
  <div id="top">
    <h1><a href="<?php dcInfo('url'); ?>">
      <?php dcInfo(); ?>
      </a></h1>
    <p><?php echo dc_blog_desc; ?></p>
    <p id="prelude"><a href="#main">Aller au contenu</a> | <a href="#sidebar">Aller au menu</a> | <a href="#search">Aller &agrave; la recherche</a></p>
  </div>
  <div id="main">
    <ul id="menu">
      <li><a href="<?php dcInfo('url'); ?>" >Accueil</a></li>
      <li><a href="#" >Cat&eacute;gories</a>
        <?php dcCatList(); ?>
      </li>
      <li><a href="#" >Archives</a>
        <?php dcMonthsList(); ?>
      </li>
      <li><a href="#" >Liens</a>
       <?php linkList('<li><a href="#">%1$s</a> %2$s</li>'); ?>
      </li>
      <li><a href="#" >Syndication</a>
        <ul>
          <li><a href="<?php dcInfo('rss'); ?>">Fil RSS</a></li>
          <li><a href="<?php dcInfo('rss'); ?>?type=co">Fil RSS Com'</a></li>
          <li><a href="<?php dcInfo('atom'); ?>">Fil atom</a></li>
          <li><a href="<?php dcInfo('atom'); ?>?type=co">Fil atom Com'</a></li>
        </ul>
      </li>
      <li><a href="#" >Th&egrave;mes</a>
       <?php if(function_exists('dcThemesList')) 
{ dcThemesList('<ul>%s</ul>'); } ?>
      </li>
    </ul>
    <div id="content">
      <?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
      <div class="error"><strong>Erreur : </strong> <?php echo $err_msg; ?></div>
      <?php elseif ($mode == 'home') : /* traitement home */ ?>
      <?php include dirname(__FILE__).'/home.php'; ?>
      <?php elseif ($preview) : /* Si on demande la prvisualisation d'un commentaire */?>
      <h3>Commentaire pour
        <?php dcPostTitle(); ?>
      </h3>
      <div id="comment-preview">
        <blockquote>
          <?php dcCommentPreview(); ?>
        </blockquote>
      </div>
      <h3>Changer le commentaire</h3>
      <?php include dirname(__FILE__).'/form.php'; ?>
      <?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>
      <?php # Phrase affich en cas de recherche (%s est le mot cherch)
		dcSearchString('<p>R&eacute;sultats de votre recherche de <em>%s</em>.</p>');
		?>
      <?php include dirname(__FILE__).'/list.php'; ?>
      <?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
      <?php include dirname(__FILE__).'/post.php'; ?>
      <?php endif; ?>
      <div id="sidebar">
        
        <div id="search">
          <form action="<?php dcInfo('search'); ?>" method="get">
            <h2>
              <label for="q">Rechercher</label>
            </h2>
            <p class="field">
              <input name="q" id="q" type="text" size="10"
			value="<?php dcSearchString(); ?>" accesskey="4" />
              <input type="submit" class="submit" value="ok" />
            </p>
          </form>
        </div>
      </div>
    </div>
  </div>
  <p id="footer"><a href="http://www.dotclear.net/">propuls&eacute; par DotClear</a></p>
</div>
</body>
</html>
